#!/bin/sh

case "$(uname -r)" in
    *-nvidia)
        echo "[dgx-desktop-kernel-configuration] Loading realtek driver r8127" > /dev/kmsg
        /usr/sbin/modprobe r8127
    ;;
    *)
        echo "[dgx-desktop-kernel-configuration] Loading realtek driver r8169"  > /dev/kmsg
        /usr/sbin/modprobe r8169
    ;;
esac
